package hikapro.com.backpack.model.dao;

/**
 * Created by tariel on 27/04/16.
 */
public interface Event {

    int SET_SCOPE_END               = 0x13;
    int ITEM_SCOPE_END              = 0x27;
    int MY_LIST_SCOPE_END           = 0x3B;

    int SET_LOAD_ERROR              = -0x1;
    int SET_REORDER_ERROR           = -0x2;
    int SET_ITEMS_LOAD_ERROR        = -0x3;


    int SET_LOAD_COMPLETED          = 0x1;
    int SET_REORDER_COMPLETED       = 0x2;
    int SET_ITEMS_LOAD_COMPLETED    = 0x3;


    int ITEM_FROM_SET_ERROR         = -0x14;
    int ITEM_INSERT_ERROR           = -0x15;
    int ITEM_DELETE_ERROR           = -0x16;
    int ITEM_PACK_ERROR             = -0x17;
    int ITEM_UNPACK_ERROR           = -0x18;
    int ITEM_CATEGORY_LOAD_ERROR    = -0x19;
    int ITEM_IMAGE_LOAD_ERROR       = -0x1A;

    int ITEM_FROM_SET_DELETED       = 0x14;
    int ITEM_INSERTED               = 0x15;
    int ITEM_DELETED                = 0x16;
    int ITEM_PACKED                 = 0x17;
    int ITEM_UNPACKED               = 0x18;
    int ITEM_CATEGORY_LOAD_COMPLETED    = 0x19;
    int ITEM_IMAGE_LOAD_COMPLETED   = 0x1A;


    int MY_LIST_POST_ERROR          = -0x28;
    int MY_LIST_ITEM_ADD_ERROR      = -0x29;
    int MY_LIST_ITEM_DELETE_ERROR   = -0x2A;
    int MY_LIST_CLEAR_ERROR         = -0x2B;

    int MY_LIST_POSTED              = 0x28;
    int MY_LIST_ITEM_ADDED          = 0x29;
    int MY_LIST_ITEM_DELETED        = 0x2A;
    int MY_LIST_CLEARED             = 0x2B;

    int SYNC_FAILED                 = -0x3C;
    int SYNC_COMPLETED              = 0x3C;

    int NOT_IMPLEMENTED             = 0x50;
    int NOT_UNDERSTAND              = 0x51;


}
